# CommonProblemResolver (CPR)

Rescue your switch without a pc!

## Usage
1. Get your favorite payload injector
2. Inject CPR as a payload

Navigate around the menus using the joycons.
- A: Select
- B: Back
- Left Joystick up/down (Dpad or joystick): navigate menus up/down
- Right Joystick up/down: fast menu navigation up/down
- Capture (Minerva only): Take a screenshot
- L3/R3 (Press joysticks in): Recalibrate centerpoint

If you do not have your joycons connected:
- Power -> A
- Vol+ -> Left Joystick up
- Vol- -> Left Joystick down

## Functions
- Disables all sysmodules on your switch (might fix booting issues after update)
- Delete installed themes (will fix booting issues after update)
- Reverts changes made by clingwrap

## Support

Join [our discord](https://discord.gg/VkaRjYN) for help.

## Credits

This is heavily based on [TegraExplorer](https://github.com/suchmememanyskill/TegraExplorer) by suchmememanyskill,
which itself is based on [Lockpick_RCM](https://github.com/shchmue/Lockpick_RCM), and thus also based on [Hekate](https://github.com/CTCaer/hekate)
